Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Types | Data Fields
iseq_catch_table_entry Struct Reference

`#include <iseq.h>`

## Public Types
enum | catch_type { CATCH_TYPE_RESCUE = INT2FIX(1), CATCH_TYPE_ENSURE = INT2FIX(2), CATCH_TYPE_RETRY = INT2FIX(3), CATCH_TYPE_BREAK = INT2FIX(4), CATCH_TYPE_REDO = INT2FIX(5), CATCH_TYPE_NEXT = INT2FIX(6) }

## Data Fields
enum iseq_catch_table_entry::catch_type | type
VALUE | iseq
unsigned long | start
unsigned long | end
unsigned long | cont
unsigned long | sp

## Detailed Description

Definition at line 56 of file iseq.h.

## Member Enumeration Documentation

enum iseq_catch_table_entry::catch_type

Enumerator
CATCH_TYPE_RESCUE |
CATCH_TYPE_ENSURE |
CATCH_TYPE_RETRY |
CATCH_TYPE_BREAK |
CATCH_TYPE_REDO |
CATCH_TYPE_NEXT |

Definition at line 57 of file iseq.h.

## Field Documentation

unsigned long iseq_catch_table_entry::cont

Definition at line 68 of file iseq.h.

Referenced by iseq_data_to_ary(), iseq_set_exception_table(), rb_iseq_disasm(), rb_iseq_line_trace_each(), vm_exec(), and vm_throw().

unsigned long iseq_catch_table_entry::end

Definition at line 67 of file iseq.h.

Referenced by iseq_data_to_ary(), iseq_set_exception_table(), rb_iseq_disasm(), vm_exec(), and vm_throw().

VALUE iseq_catch_table_entry::iseq

Definition at line 65 of file iseq.h.

Referenced by iseq_data_to_ary(), iseq_s_of(), iseq_set_exception_table(), make_name_for_block(), rb_iseq_build_for_ruby2cext(), rb_iseq_disasm(), rb_iseq_line_trace_each(), rb_thread_current_status(), rb_vm_control_frame_id_and_class(), vm_call_iseq_setup_normal(), vm_call_iseq_setup_tailcall(), vm_exec(), vm_invoke_block(), and vm_search_super_method().

unsigned long iseq_catch_table_entry::sp

Definition at line 69 of file iseq.h.

Referenced by iseq_data_to_ary(), iseq_set_exception_table(), rb_iseq_disasm(), vm_call_iseq_setup_normal(), vm_call_iseq_setup_tailcall(), and vm_exec().

unsigned long iseq_catch_table_entry::start

Definition at line 66 of file iseq.h.

Referenced by iseq_data_to_ary(), iseq_set_exception_table(), rb_iseq_disasm(), vm_exec(), vm_throw(), and vm_yield_setup_block_args_complex().

enum iseq_catch_table_entry::catch_type iseq_catch_table_entry::type

Referenced by iseq_data_to_ary(), iseq_set_exception_table(), rb_iseq_disasm(), vm_exec(), and vm_throw().

The documentation for this struct was generated from the following file:

- iseq.h